TICKIT_TERM_AWAIT_STARTED_MSEC(3)

NAME
tickit_term_await_started_* - wait until the terminal is initialised

SYNOPSIS
    #include <tickit.h>

    void tickit_term_await_started_msec(TickitTerm *tt, longmsec);
    void tickit_term_await_started_tv(TickitTerm *tt, const struct timeval *timeout);

Link with -ltickit.

DESCRIPTION
The tickit_term_await_started_*() family of functions wait until the terminal driver announces it has completed setting up the terminal, and it is ready to be used. The timeout specifies the maximum time to wait; the function will return after this time even if the terminal is not ready yet. One of these functions should be called after the relevant input and output methods have been set on the terminal instance.

The functions differ in how the timeout is specified. tickit_term_await_started_msec() takes a time as an integer in milliseconds, or -1 to wait indefinitely. tickit_term_await_started_tv() takes a time as a struct timeval, or NULL to wait indefinitely.

Under most terminal drivers it is not strictly required that it be completely prepared before it is used, as preparation consists mainly of detecting optionally-supported features the terminal may have. If the application starts outputting before this is finished, it simply may not make use of some features, or not detect or report that some features are present.

RETURN VALUE
tickit_term_await_started_msec() and tickit_term_await_started_tv() return no value.

SEE ALSO
tickit_term_build(3), tickit_term(7), tickit(7)